## org.springframework.oxm
Class XmlMappingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.oxm.XmlMappingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CastorMappingException, MarshallingException, UncategorizedMappingException, ValidationFailureException

    public abstract class XmlMappingException

extends NestedRuntimeException

Root of the hierarchy of Object XML Mapping exceptions.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

Constructor Summary
`XmlMappingException(String msg)` Construct an `XmlMappingException` with the specified detail message.
`XmlMappingException(String msg, Throwable cause)` Construct an `XmlMappingException` with the specified detail message and nested exception.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlMappingException

    public XmlMappingException(String msg)

  Construct an `XmlMappingException` with the specified detail message.

  Parameters:
    `msg` - the detail message

### XmlMappingException

    public XmlMappingException(String msg,
                               Throwable cause)

  Construct an `XmlMappingException` with the specified detail message and nested exception.

  Parameters:
    `msg` - the detail message
    `cause` - the nested exception